<?php
// $Id: indic_script.admin.inc,v 1.6 2008/12/20 14:56:28 4vinoth Exp $

/**
 * indic_script Admin Settings Form.
 */
function indic_script_admin_settings_form() {


  $form_fields = _indic_script_languages();
  //$options['en'] = t('English');
  foreach ($form_fields as $field) {
    $options[$field['key']] = $field['title'];
  }
  
  $form['indic_script_langs'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Languages and typing metods'),
      '#default_value' => variable_get('indic_script_langs', Array()),
      '#options' => $options,
      '#multiple' => TRUE,
      '#description' => t('Choose the Languages and typing metods you need to available to Site Users.'),
      '#prefix' => t('Please select only the languages really needed. Enabling many Languages will IMPACT the page loading perfomance, Or you should enable ') . l(t('Javascript Compression.'), 'admin/settings/performance'),
  );

  $form['indic_script_settings'] = array(
      '#type' => 'fieldset',
      '#title' => t('Visibility settings'),
      '#collapsible' => TRUE,
      '#collapsed' => FALSE,
  );
    
  $form['indic_script_settings']['indic_script_excl_mode'] = array(
      '#type' => 'select',
      '#title' => t('Use inclusion or exclusion mode'),
      '#default_value' => variable_get('indic_script_excl_mode', 0),
      '#options' => array('0' => t('exclude'), '1' => t('include')),
      '#description' => t('Choose the way of disabling/enabling Indic Script on selected fields/paths (see below). Use exclude to disable Indic Script on selected fields/paths. Use include if you want to load Indic Script only on selected paths/fields.'),
  );
  
  /**
   * get excluded fields - so we can have normal textareas too
   * split the phrase by any number of commas or space characters,
   * which include " ", \r, \t, \n and \f
   */
  $form['indic_script_settings']['indic_script_excl_fields'] = array(
      '#type' => 'textarea',
      '#title' => t('Fields to exclude/include'),
      '#cols' => 60,
      '#rows' => 5,
      '#default_value' => variable_get('indic_script_excl_fields', ''),
      '#description' => t("Enter names (HTML ID's) of fields that may or may not have an Indic Script, depending on the chosen option for the inclusion/exclusion mode.<br />You may separate the different entries by commas, spaces or newlines."),
  );

  /**
   * get excluded paths - so we can have normal textareas too
   * split the phrase by any number of commas or space characters,
   * which include " ", \r, \t, \n and \f
   */
  $form['indic_script_settings']['indic_script_excl_paths'] = array(
      '#type' => 'textarea',
      '#title' => t('Paths to exclude/include'),
      '#cols' => 60,
      '#rows' => 5,
      '#default_value' =>variable_get('indic_script_excl_paths', ''),
      '#description' => t("Enter drupal paths here, depending on the chosen option for the inclusion/exclusion mode.<br />Paths may be used the same way as in the drupal blocks configuration.<br />You may separate the different entries by commas, spaces or newlines. <br />You may also use * as a wildcard character (for example <code>comment/*</code>)."),
  );

  return system_settings_form($form);
}